# -*- coding: utf-8 -*-
# Generated by Django 1.11.7 on 2017-11-10 15:46
from __future__ import unicode_literals

from django.conf import settings
import django.contrib.auth.models
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0008_alter_user_username_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='MobileItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('ids', models.CharField(blank=True, max_length=1000, null=True)),
                ('cats', models.CharField(blank=True, max_length=1000, null=True)),
                ('title', models.CharField(blank=True, max_length=1000, null=True)),
                ('price', models.IntegerField(blank=True, default=0, null=True)),
                ('img', models.CharField(blank=True, max_length=1000, null=True)),
                ('city', models.CharField(blank=True, max_length=1000, null=True)),
                ('path', models.CharField(blank=True, max_length=1000, null=True)),
                ('link', models.CharField(blank=True, max_length=1000, null=True)),
            ],
            options={
                'ordering': ('-created',),
                'verbose_name': 'Mobile Item',
                'verbose_name_plural': 'Mobile Items',
            },
        ),
        migrations.CreateModel(
            name='UserProfile',
            fields=[
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False, to=settings.AUTH_USER_MODEL)),
                ('nickName', models.CharField(max_length=20)),
                ('verified', models.BooleanField(default=False)),
                ('verifiedCode', models.IntegerField(default=0)),
                ('mode', models.CharField(default=b'user', max_length=20)),
            ],
            options={
                'ordering': ('-date_joined',),
                'verbose_name': 'User Profile',
                'verbose_name_plural': 'User Profiles',
            },
            bases=('auth.user',),
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
    ]
